package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.MonDevJhHour;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 设备数据-焦化-小时 保存设备的小时数据对象 mon_dev_jh_hour
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-焦化-小时 保存设备的小时数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonDevJhHourQuery extends PageQuery
{

    @ApiModelProperty(value = "数据ID")
    private Long dataId;
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;
    @ApiModelProperty(value = "设备ID")
    private String deviceId;
    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    private String timeType;
    @ApiModelProperty(value = "数据时间 格式因时间类型而异")
    private String dataTime;
    @ApiModelProperty(value = "装煤时间 1=运行，0=停止")
    private String js100;
    @ApiModelProperty(value = "推焦时间 1=运行，0=停止")
    private String js101;
    @ApiModelProperty(value = "装煤车电流 单位：A")
    private String js102;
    @ApiModelProperty(value = "推焦车电流 单位：A")
    private String js103;
    @ApiModelProperty(value = "煤气使用量 单位：m3/h")
    private String js104;
    @ApiModelProperty(value = "布袋除尘器前后压差 单位：kPa")
    private String jz100;
    @ApiModelProperty(value = "电除尘器二次电流 单位：A")
    private String jz101;
    @ApiModelProperty(value = "电除尘器二次电压 单位：V")
    private String jz102;
    @ApiModelProperty(value = "脱硫吸收剂pH值")
    private String jz103;
    @ApiModelProperty(value = "脱硫供浆流量 单位：m3/h")
    private String jz105;
    @ApiModelProperty(value = "脱硫供料流量 单位：kg/h")
    private String jz106;
    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 1=运行，0=停止")
    private String jz107;
    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位：A")
    private String jz108;
    @ApiModelProperty(value = "脱硝烟气温度 单位：℃")
    private String jz109;
    @ApiModelProperty(value = "脱硝还原剂用量 单位：m3/h")
    private String jz110;
    @ApiModelProperty(value = "放散流量 单位：m3/h")
    private String js200;
    @ApiModelProperty(value = "放散温度 单位 ℃,")
    private String js201;
    @ApiModelProperty(value = "放散流速 单位：m/s")
    private String js202;
    @ApiModelProperty(value = "放散压力 单位：KPa")
    private String js203;
    @ApiModelProperty(value = "脱硫剂仓料（液）位 单位：m")
    private String g141;
    @ApiModelProperty(value = "脱硝剂仓料（液）位 单位：m")
    private String g314;
    @ApiModelProperty(value = "反应器入口烟气温度（SCR 艺） 单位：℃")
    private String g329;
    @ApiModelProperty(value = "风机流量 单位：m3/h")
    private String g330;
    @ApiModelProperty(value = "风机电流 单位：A")
    private String g604;
    @ApiModelProperty(value = "清灰周期 单位：h")
    private String g605;
    @ApiModelProperty(value = "电机电流 单位：A")
    private String g606;
    @ApiModelProperty(value = "主蒸汽流量 单位：m3/s")
    private String g942;
    @ApiModelProperty(value = "燃料瞬时流量 单位：m3/s")
    private String g943;
    @ApiModelProperty(value = "高炉煤气量 单位：m3/h")
    private String g944;
    @ApiModelProperty(value = "锅炉累计运行小时数 单位：个")
    private String g945;
    @ApiModelProperty(value = "计划装煤时间")
    private String g949;
    @ApiModelProperty(value = "计划装煤量 单位：kg")
    private String g951;
    @ApiModelProperty(value = "实际装煤量 单位：kg")
    private String g952;
    @ApiModelProperty(value = "提升机作业时间")
    private String g956;
    @ApiModelProperty(value = "提升机装载量 单位：kg")
    private String g957;
    @ApiModelProperty(value = "提升机电流 单位：A")
    private String g958;
    @ApiModelProperty(value = "SO2浓度 单位：mg/m3")
    private String g960;
    @ApiModelProperty(value = "地面放散口压力 单位：KPa")
    private String g961;
    @ApiModelProperty(value = "火炬点火器启动记录")
    private String g962;
    @ApiModelProperty(value = "硫酸使用量 单位：m3/h")
    private String g963;
    @ApiModelProperty(value = "洗油使用量 单位：m3/h")
    private String g964;
    @ApiModelProperty(value = "脱苯塔塔顶回流量 单位：m3/h")
    private String g965;
    @ApiModelProperty(value = "粗苯外送量 单位：m3/h")
    private String g966;
    @ApiModelProperty(value = "塔釜温度 单位：℃")
    private String g967;
    @ApiModelProperty(value = "洗油外送量 单位：m3/h")
    private String g968;
    @ApiModelProperty(value = "压力 单位：KPa")
    private String g969;
    @ApiModelProperty(value = "液位 单位：m")
    private String g970;
    @ApiModelProperty(value = "负压煤气管网压力 单位：KPa")
    private String g971;
    @ApiModelProperty(value = "风机后煤气管压力 单位：KPa")
    private String g972;
    @ApiModelProperty(value = "外供煤气流量 单位：m3/h")
    private String g973;
    @ApiModelProperty(value = "煤气柜容量 单位：m3")
    private String g974;
    @ApiModelProperty(value = "气柜高度 单位：m")
    private String g975;
    @ApiModelProperty(value = "气柜压力 单位：KPa")
    private String g976;
    @ApiModelProperty(value = "水封液位高度 单位：m")
    private String g977;
    @ApiModelProperty(value = "压力 单位：KPa")
    private String g978;
    @ApiModelProperty(value = "流量 单位：m3/h")
    private String g979;
    @ApiModelProperty(value = "火炬点火器启动记录")
    private String g980;
    @ApiModelProperty(value = "液位 单位：m")
    private String g981;
    @ApiModelProperty(value = "温度 单位：℃")
    private String g982;
    @ApiModelProperty(value = "转炉煤气量 单位：m3/h")
    private String g993;
    @ApiModelProperty(value = "焦炉煤气量 单位：m3/h")
    private String g994;
    @ApiModelProperty(value = "其它燃料量 单位：m3/h")
    private String g995;
    @ApiModelProperty(value = "干法脱硫剂使用量 单位：kg")
    private String gb08;
    @ApiModelProperty(value = "半干法脱硫剂使用量 单位：kg")
    private String gb09;
    @ApiModelProperty(value = "酸洗塔碱液使用量 单位：L")
    private String gb11;
    @ApiModelProperty(value = "酸洗塔酸液使用量 单位：L")
    private String gb12;
    @ApiModelProperty(value = "酸洗塔酸液使用量 单位：L")
    private String gb13;
    @ApiModelProperty(value = "颗粒物浓度1")
    private String ppmCc1;
    @ApiModelProperty(value = "颗粒物浓度2")
    private String ppmCc2;
    @ApiModelProperty(value = "颗粒物浓度 单位：mg/m3")
    private String ppmUnitCc2;
    @ApiModelProperty(value = "颗粒物浓度 单位：mg/m3")
    private String ppmUnitCc1;
    @ApiModelProperty(value = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    private String addiParam;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "烟气流量")
    private String a100;
    @ApiModelProperty(value = "含氧量")
    private String a101;
    @ApiModelProperty(value = "温度")
    private String a102;
    @ApiModelProperty(value = "颗粒物")
    private String a103;
    @ApiModelProperty(value = "二氧化硫")
    private String a104;
    @ApiModelProperty(value = "氮氧化物浓度")
    private String a105;
    @ApiModelProperty(value = "脱硝剂使用量")
    private String a111;
    @ApiModelProperty(value = "脱硝剂使用量")
    private String txjvol;
    @ApiModelProperty(value = "除尘器风量")
    private String a120;
    @ApiModelProperty(value = "风机电流")
    private String a121;
    @ApiModelProperty(value = "除尘器风量")
    private String a130;
    @ApiModelProperty(value = "风机电流")
    private String a131;
    @ApiModelProperty(value = "除尘器风量")
    private String a140;
    @ApiModelProperty(value = "风机电流")
    private String a141;
    @ApiModelProperty(value = "湿法脱硫剂使用量")
    private String g140;
    @ApiModelProperty(value = "脱硝入口压力")
    private String g318;
    @ApiModelProperty(value = "脱硝出口压力")
    private String g325;
    @ApiModelProperty(value = "压差")
    private String g601;
    @ApiModelProperty(value = "颗粒物")
    private String g959;
    @ApiModelProperty(value = "颗粒物")
    private String h959;
    @ApiModelProperty(value = "二氧化硫")
    private String h960;
    @ApiModelProperty(value = "颗粒物")
    private String j959;
    @ApiModelProperty(value = "二氧化硫")
    private String j960;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<MonDevJhHour> createLambdaQueryWrapper(MonDevJhHourQuery query) {
        QueryWrapper<MonDevJhHour> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getDataId()), "data_id", query.getDataId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeviceId()), "device_id", query.getDeviceId());
        wrapper.eq(ObjectUtil.isNotNull(query.getTimeType()), "time_type", query.getTimeType());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataTime()), "data_time", query.getDataTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getJs100()), "js100", query.getJs100());
        wrapper.eq(ObjectUtil.isNotNull(query.getJs101()), "js101", query.getJs101());
        wrapper.eq(ObjectUtil.isNotNull(query.getJs102()), "js102", query.getJs102());
        wrapper.eq(ObjectUtil.isNotNull(query.getJs103()), "js103", query.getJs103());
        wrapper.eq(ObjectUtil.isNotNull(query.getJs104()), "js104", query.getJs104());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz100()), "jz100", query.getJz100());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz101()), "jz101", query.getJz101());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz102()), "jz102", query.getJz102());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz103()), "jz103", query.getJz103());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz105()), "jz105", query.getJz105());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz106()), "jz106", query.getJz106());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz107()), "jz107", query.getJz107());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz108()), "jz108", query.getJz108());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz109()), "jz109", query.getJz109());
        wrapper.eq(ObjectUtil.isNotNull(query.getJz110()), "jz110", query.getJz110());
        wrapper.eq(ObjectUtil.isNotNull(query.getJs200()), "js200", query.getJs200());
        wrapper.eq(ObjectUtil.isNotNull(query.getJs201()), "js201", query.getJs201());
        wrapper.eq(ObjectUtil.isNotNull(query.getJs202()), "js202", query.getJs202());
        wrapper.eq(ObjectUtil.isNotNull(query.getJs203()), "js203", query.getJs203());
        wrapper.eq(ObjectUtil.isNotNull(query.getG141()), "g141", query.getG141());
        wrapper.eq(ObjectUtil.isNotNull(query.getG314()), "g314", query.getG314());
        wrapper.eq(ObjectUtil.isNotNull(query.getG329()), "g329", query.getG329());
        wrapper.eq(ObjectUtil.isNotNull(query.getG330()), "g330", query.getG330());
        wrapper.eq(ObjectUtil.isNotNull(query.getG604()), "g604", query.getG604());
        wrapper.eq(ObjectUtil.isNotNull(query.getG605()), "g605", query.getG605());
        wrapper.eq(ObjectUtil.isNotNull(query.getG606()), "g606", query.getG606());
        wrapper.eq(ObjectUtil.isNotNull(query.getG942()), "g942", query.getG942());
        wrapper.eq(ObjectUtil.isNotNull(query.getG943()), "g943", query.getG943());
        wrapper.eq(ObjectUtil.isNotNull(query.getG944()), "g944", query.getG944());
        wrapper.eq(ObjectUtil.isNotNull(query.getG945()), "g945", query.getG945());
        wrapper.eq(ObjectUtil.isNotNull(query.getG949()), "g949", query.getG949());
        wrapper.eq(ObjectUtil.isNotNull(query.getG951()), "g951", query.getG951());
        wrapper.eq(ObjectUtil.isNotNull(query.getG952()), "g952", query.getG952());
        wrapper.eq(ObjectUtil.isNotNull(query.getG956()), "g956", query.getG956());
        wrapper.eq(ObjectUtil.isNotNull(query.getG957()), "g957", query.getG957());
        wrapper.eq(ObjectUtil.isNotNull(query.getG958()), "g958", query.getG958());
        wrapper.eq(ObjectUtil.isNotNull(query.getG960()), "g960", query.getG960());
        wrapper.eq(ObjectUtil.isNotNull(query.getG961()), "g961", query.getG961());
        wrapper.eq(ObjectUtil.isNotNull(query.getG962()), "g962", query.getG962());
        wrapper.eq(ObjectUtil.isNotNull(query.getG963()), "g963", query.getG963());
        wrapper.eq(ObjectUtil.isNotNull(query.getG964()), "g964", query.getG964());
        wrapper.eq(ObjectUtil.isNotNull(query.getG965()), "g965", query.getG965());
        wrapper.eq(ObjectUtil.isNotNull(query.getG966()), "g966", query.getG966());
        wrapper.eq(ObjectUtil.isNotNull(query.getG967()), "g967", query.getG967());
        wrapper.eq(ObjectUtil.isNotNull(query.getG968()), "g968", query.getG968());
        wrapper.eq(ObjectUtil.isNotNull(query.getG969()), "g969", query.getG969());
        wrapper.eq(ObjectUtil.isNotNull(query.getG970()), "g970", query.getG970());
        wrapper.eq(ObjectUtil.isNotNull(query.getG971()), "g971", query.getG971());
        wrapper.eq(ObjectUtil.isNotNull(query.getG972()), "g972", query.getG972());
        wrapper.eq(ObjectUtil.isNotNull(query.getG973()), "g973", query.getG973());
        wrapper.eq(ObjectUtil.isNotNull(query.getG974()), "g974", query.getG974());
        wrapper.eq(ObjectUtil.isNotNull(query.getG975()), "g975", query.getG975());
        wrapper.eq(ObjectUtil.isNotNull(query.getG976()), "g976", query.getG976());
        wrapper.eq(ObjectUtil.isNotNull(query.getG977()), "g977", query.getG977());
        wrapper.eq(ObjectUtil.isNotNull(query.getG978()), "g978", query.getG978());
        wrapper.eq(ObjectUtil.isNotNull(query.getG979()), "g979", query.getG979());
        wrapper.eq(ObjectUtil.isNotNull(query.getG980()), "g980", query.getG980());
        wrapper.eq(ObjectUtil.isNotNull(query.getG981()), "g981", query.getG981());
        wrapper.eq(ObjectUtil.isNotNull(query.getG982()), "g982", query.getG982());
        wrapper.eq(ObjectUtil.isNotNull(query.getG993()), "g993", query.getG993());
        wrapper.eq(ObjectUtil.isNotNull(query.getG994()), "g994", query.getG994());
        wrapper.eq(ObjectUtil.isNotNull(query.getG995()), "g995", query.getG995());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb08()), "gb08", query.getGb08());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb09()), "gb09", query.getGb09());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb11()), "gb11", query.getGb11());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb12()), "gb12", query.getGb12());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb13()), "gb13", query.getGb13());
        wrapper.eq(ObjectUtil.isNotNull(query.getPpmCc1()), "ppm_cc1", query.getPpmCc1());
        wrapper.eq(ObjectUtil.isNotNull(query.getPpmCc2()), "ppm_cc2", query.getPpmCc2());
        wrapper.eq(ObjectUtil.isNotNull(query.getPpmUnitCc2()), "ppm_unit_cc2", query.getPpmUnitCc2());
        wrapper.eq(ObjectUtil.isNotNull(query.getPpmUnitCc1()), "ppm_unit_cc1", query.getPpmUnitCc1());
        wrapper.eq(ObjectUtil.isNotNull(query.getAddiParam()), "addi_param", query.getAddiParam());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getA100()), "a100", query.getA100());
        wrapper.eq(ObjectUtil.isNotNull(query.getA101()), "a101", query.getA101());
        wrapper.eq(ObjectUtil.isNotNull(query.getA102()), "a102", query.getA102());
        wrapper.eq(ObjectUtil.isNotNull(query.getA103()), "a103", query.getA103());
        wrapper.eq(ObjectUtil.isNotNull(query.getA104()), "a104", query.getA104());
        wrapper.eq(ObjectUtil.isNotNull(query.getA105()), "a105", query.getA105());
        wrapper.eq(ObjectUtil.isNotNull(query.getA111()), "a111", query.getA111());
        wrapper.eq(ObjectUtil.isNotNull(query.getTxjvol()), "txjVol", query.getTxjvol());
        wrapper.eq(ObjectUtil.isNotNull(query.getA120()), "a120", query.getA120());
        wrapper.eq(ObjectUtil.isNotNull(query.getA121()), "a121", query.getA121());
        wrapper.eq(ObjectUtil.isNotNull(query.getA130()), "a130", query.getA130());
        wrapper.eq(ObjectUtil.isNotNull(query.getA131()), "a131", query.getA131());
        wrapper.eq(ObjectUtil.isNotNull(query.getA140()), "a140", query.getA140());
        wrapper.eq(ObjectUtil.isNotNull(query.getA141()), "a141", query.getA141());
        wrapper.eq(ObjectUtil.isNotNull(query.getG140()), "g140", query.getG140());
        wrapper.eq(ObjectUtil.isNotNull(query.getG318()), "g318", query.getG318());
        wrapper.eq(ObjectUtil.isNotNull(query.getG325()), "g325", query.getG325());
        wrapper.eq(ObjectUtil.isNotNull(query.getG601()), "g601", query.getG601());
        wrapper.eq(ObjectUtil.isNotNull(query.getG959()), "g959", query.getG959());
        wrapper.eq(ObjectUtil.isNotNull(query.getH959()), "h959", query.getH959());
        wrapper.eq(ObjectUtil.isNotNull(query.getH960()), "h960", query.getH960());
        wrapper.eq(ObjectUtil.isNotNull(query.getJ959()), "j959", query.getJ959());
        wrapper.eq(ObjectUtil.isNotNull(query.getJ960()), "j960", query.getJ960());
        return wrapper;
        }
}
